# Generated from flacsmith-10.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flacsmith

Name: rubygem-%{gem_name}
Version: 10.5.1
Release: 1%{?dist}
Summary: A command line interface for managing FLAC metadata
License: Hippocratic-2.1
URL: https://www.alchemists.io/projects/flacsmith
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1
BuildRequires: ruby < 4
BuildArch: noarch

%description
A command line interface for managing FLAC metadata.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/flacsmith
%license %{gem_instdir}/LICENSE.adoc
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/flacsmith.gemspec

%changelog
* Thu Nov 03 2022 mockbuilder - 10.5.1-1
- Initial package
